
program convert_to_adjoint
implicit none

	integer :: n
	character(len=6) :: c
	real :: lat, lon, depth

	open(unit=99,file='recfile',action='read')

	read(99,*) n
	write(*,*) n

	do n=1,n

		read(99,*) c(1:6)
		write(*,*) c
		read(99,*) lat, lon, depth



	!======================================================================
	! write seismograms to files
	!======================================================================

	if (nr>0) then

	do i=1,nr

		sname=station_name_local(i)
	
		open(unit=51,file=ofd(1:len_trim(ofd))//sname//'_x',action='WRITE')
		open(unit=52,file=ofd(1:len_trim(ofd))//sname//'_y',action='WRITE')
		open(unit=53,file=ofd(1:len_trim(ofd))//sname//'_z',action='WRITE')	
	
		write(51,*) 'theta component seismograms'
		write(52,*) 'phi component seismograms'
		write(53,*) 'r component seismograms'
	
		write(51,*) 'nr=', nr
		write(51,*) 'nt=', nt
		write(51,*) 'dt=', dt
	
		write(52,*) 'nr=', nr
		write(52,*) 'nt=', nt
		write(52,*) 'dt=', dt
	
		write(53,*) 'nr=', nr
		write(53,*) 'nt=', nt
		write(53,*) 'dt=', dt

		write(51,*) 'x=', recloc(1,i), 'y=', recloc(2,i), 'z=', recloc(3,i)
                write(52,*) 'x=', recloc(1,i), 'y=', recloc(2,i), 'z=', recloc(3,i)
		write(53,*) 'x=', recloc(1,i), 'y=', recloc(2,i), 'z=', recloc(3,i)

		do j=1,nt
		
			write(51,*) seismogram_x(i,j)
			write(52,*) seismogram_y(i,j)
			write(53,*) seismogram_z(i,j)
			
		enddo

		close(unit=51)
		close(unit=52)
		close(unit=53)

	enddo

	enddo


end program convert_to_adjoint
