subroutine ses3d_grad
use parameters
use variables
implicit none
include 'mpif.h'

        !======================================================================
        ! local variables
        !======================================================================

        character(len=10) :: dummy, ns
        character(len=50) :: fn

        !======================================================================
        ! computation of derivatives
        !======================================================================

        call int2str(my_rank,dummy)

        if (saving_vector(nt+1-it)>0) then

           call int2str(saving_vector(nt+1-it),ns)
           
           !- read velocity fields ----------------------------------------------

           call ses3d_restore(vx_fw,'vx',it,4,1021)
           call ses3d_restore(vy_fw,'vy',it,4,1022)
           call ses3d_restore(vz_fw,'vz',it,4,1023)
	   
           grad1=grad1+samp_ad*dt*(vx*vx_fw+vy*vy_fw+vz*vz_fw)	!- density
	   
           write(99,*) 'gradient update'

        endif
        
end subroutine ses3d_grad
